#ifndef ABOUTDLG_H
#define ABOUTDLG_H

#include "Tools/MenuXP.h"
#include "Tools/ButtonXP.h"
#include "AboutCtrl.h"

class CWhatNewDlg : public CDialog
{
private:
	CString text;
public:
	CWhatNewDlg();

protected:
	virtual BOOL OnInitDialog();
};
/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog

class CAboutDlg : public CDialog
{
	// Construction
public:
	CAboutDlg();   // standard constructor
	~CAboutDlg();
	CAboutDlg* getInstance();
	CButtonXP m_btnOk;
	CButtonXP m_btnMail;
	CButtonXP m_btnInternet;
	CButtonXP m_btnUpdateNow;
	CButtonXP m_btnWhatNew;
	CAboutCtrl m_AboutCtrl;

	enum
	{
		IDD = IDD_ABOUT
	};

	// Implementation
protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support
	afx_msg void OnButtonMail();
	afx_msg void OnButtonHomepage();
	afx_msg void OnButtonUpdateNow();
	afx_msg void OnButtonWhatNew();
	virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
};
#endif

extern CAboutDlg* AboutDialog;