#ifndef NULLSOFT_API_PLAYLISTLOADER_H
#define NULLSOFT_API_PLAYLISTLOADER_H

#include <bfc/dispatch.h>
#include <wchar.h>
#include "api_playlistloadercallback.h"

enum
{
    API_PLAYLISTLOADER_SUCCESS = 0,
    API_PLAYLISTLOADER_FAILED = 1,

    API_PLAYLISTLOADER_NEXTITEM_EOF = 1,
};
class api_playlistloader : public Dispatchable
{
protected:
	api_playlistloader() {}
	~api_playlistloader() {}

public:
	int Load(const wchar_t *filename, api_playlistloadercallback *playlist);

	public:
	DISPATCH_CODES
	{
	    API_PLAYLISTLOADER_LOAD = 10,
	};

};

inline int api_playlistloader::Load(const wchar_t *filename, api_playlistloadercallback *playlist)
{
	return _call(API_PLAYLISTLOADER_LOAD, (int)API_PLAYLISTLOADER_FAILED, filename, playlist);
}
#endif
