/*****************************************************
** Module : CImageMap   							**
** Purpose : To locate sub images in skin template  **
**  												**
** Copyright James Spibey, 2000 (spib@bigfoot.com)  **
** Feel free to use and distribute. May not be sold ** 
** for profit.  									**
*****************************************************/

#if !defined(AFX_IMAGEMAP_H__018CE6D8_1E42_11D3_B643_00C04F6801E7__INCLUDED_)
#define AFX_IMAGEMAP_H__018CE6D8_1E42_11D3_B643_00C04F6801E7__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#define TITLEBAR_LEFT_CORNER			0
#define TITLEBAR_MIDDLE_LEFT			1
#define TITLEBAR_MIDDLE					2
#define TITLEBAR_MIDDLE_RIGHT			3
#define TITLEBAR_FILL					4
#define TITLEBAR_RIGHT_CORNER			5
#define INACTIVE_TITLEBAR_LEFT_CORNER	6
#define INACTIVE_TITLEBAR_MIDDLE_LEFT	7
#define INACTIVE_TITLEBAR_MIDDLE		8
#define INACTIVE_TITLEBAR_MIDDLE_RIGHT	9
#define INACTIVE_TITLEBAR_FILL			10
#define INACTIVE_TITLEBAR_RIGHT_CORNER	11
#define BOTTOM_LEFT						12
#define BOTTOM_RIGHT					13
#define BOTTOM_FILL						14
#define LEFT_EDGE						15
#define RIGHT_EDGE						16
#define CLOSE_BUTTON					17
#define	SCROLLBAR						19
#define SCROLLBAR_PRESSED				20
#define	SHADE_LEFT_CORNER				21
#define SHADE_RIGHT_CORNER_ACTIVE		22
#define SHADE_MIDDLE					23
#define SHADE_RIGHT_CORNER_INACTIVE		24
#define MAXIMIZE_BUTTON					25
#define LETTER_A						26
#define LETTER_B						27
#define LETTER_C						28
#define LETTER_D						29
#define LETTER_E						30
#define LETTER_F						31
#define LETTER_G						32
#define LETTER_H						33
#define LETTER_I						34
#define LETTER_J						35
#define LETTER_K						36
#define LETTER_L						37
#define LETTER_M						38
#define LETTER_N						39
#define LETTER_O						40
#define LETTER_P						41
#define LETTER_Q						42
#define LETTER_R						43
#define LETTER_S						44
#define LETTER_T						45
#define LETTER_U						46
#define LETTER_V						47
#define LETTER_W						48
#define LETTER_X						49
#define LETTER_Y						50
#define LETTER_Z						51
#define INACTIVE_LETTER_A				52
#define INACTIVE_LETTER_B				53
#define INACTIVE_LETTER_C				54
#define INACTIVE_LETTER_D				55
#define INACTIVE_LETTER_E				56
#define INACTIVE_LETTER_F				57
#define INACTIVE_LETTER_G				58
#define INACTIVE_LETTER_H				59
#define INACTIVE_LETTER_I				60
#define INACTIVE_LETTER_J				61
#define INACTIVE_LETTER_K				62
#define INACTIVE_LETTER_L				63
#define INACTIVE_LETTER_M				64
#define INACTIVE_LETTER_N				65
#define INACTIVE_LETTER_O				66
#define INACTIVE_LETTER_P				67
#define INACTIVE_LETTER_Q				68
#define INACTIVE_LETTER_R				69
#define INACTIVE_LETTER_S				70
#define INACTIVE_LETTER_T				71
#define INACTIVE_LETTER_U				72
#define INACTIVE_LETTER_V				73
#define INACTIVE_LETTER_W				74
#define INACTIVE_LETTER_X				75
#define INACTIVE_LETTER_Y				76
#define INACTIVE_LETTER_Z				77

#define MAX_AREAS	78

class CImageMap
{
public:
	CImageMap();

	virtual ~CImageMap();
	CRect OffSet(int Index)
	{
		return m_ImageMap[Index];
	}

protected:
	CRect m_ImageMap[MAX_AREAS];
};

#endif // !defined(AFX_IMAGEMAP_H__018CE6D8_1E42_11D3_B643_00C04F6801E7__INCLUDED_)
