#ifndef SETTINGSDIALOGINPUT_H
#define SETTINGSDIALOGINPUT_H
#include "Tools/menuXP.h"
#include "Tools/ButtonXP.h"

// Bote de dialogue CSettingsDialogInput

class CSettingsDialogInput : public CPropertyPage {
        DECLARE_DYNAMIC(CSettingsDialogInput)

    public:
        CSettingsDialogInput();
        virtual ~CSettingsDialogInput();

        int m_gap;
        int m_current;
        //Flag indiquant seulement une mise  jour de la slection
        bool updateOnly;

        CButtonXP m_btnConfiguration;
        CButtonXP m_btnAbout;
        CButtonXP m_btnLoad;
        CButtonXP m_btnUnload;
        CListBox m_ListInput;
        CSpinButtonCtrl m_Spin;

	enum {
		IDD = IDD_SETTINGS_INPUT
	};

    protected:
        afx_msg void OnOK();
        virtual void DoDataExchange(CDataExchange *pDX);  // Prise en charge DDX/DDV
        afx_msg BOOL OnInitDialog();
        DECLARE_MESSAGE_MAP()
        DECLARE_MENUXP()
    public:
        afx_msg void OnBnClickedConfig();
        afx_msg void OnBnClickedAbout();
        afx_msg void OnBnClickedLoad();
        afx_msg void OnBnClickedUnload();
        afx_msg void OnSpinChange();
        BOOL OnSetActive();
        afx_msg void OnListChange();
};
#endif
